webcat(1)

NAME
webcat - get a WWW (web) page using the HTTP protocol; print to stdout

SYNTAX
webcat [-options] url

DESCRIPTION
The webcat program retrieves the specified URL and prints the contents to stdout. With no options, it prints the contents of the page, stripping the header. With the -head option you get only the header and not the contents.

If the URL starts with /, it will be interpreted relative to the environment variable WWW_HOME. Otherwise it will be treated as an absolute URL.

The webcat program uses http_proxy and no_proxy variables; if the specified URL matches the string in no_proxy, then the host is contacted directly. Otherwise the request goes through the proxy server named in http_proxy. See http://info.cern.ch/hypertext/WWW/Daemon/User/Proxies/ProxyClients.html for details.

OPTIONS
These options can appear in any combination:

-debug
    Print the header, and then the contents of the page. Without this option, prints just the contents, no header.

-head
    Print only the header, and not the contents of the page. Without this option, prints the contents, no header. If -debug option is in effect, -head is a no-op. -post argSTring Do a post request, passing in the arg string.

-noCache
    add a no-cache field to the request.

-proxy <server>
    send the request through the specified proxy server

AUTHOR
Steve Glassman